> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice Settlement Report

> Lists token settlement records for the org's invoice payments as report line items.

Required scope: `payments:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/get-invoice-settlement-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/get-invoice-settlement-report:
    get:
      operationId: getInvoiceSettlementReport
      summary: Get Invoice Settlement Report
      x-toku-required-scope: payments:read
      description: >-
        Lists token settlement records for the org's invoice payments as report
        line items.


        Required scope: `payments:read`. It also needs `banking:read`,
        `compensation:read`.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetInvoiceSettlementReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetInvoiceSettlementReportResponse:
      type: object
      properties:
        reportData:
          type: array
          items:
            type: object
            properties:
              groupId:
                type: string
              id:
                type: string
              recipientName:
                type: string
              tokenType:
                type: string
              tokenIcon:
                type:
                  - string
                  - 'null'
              Amount:
                type: string
              TxnHash:
                type:
                  - string
                  - 'null'
              sourceCurrency:
                type: string
              ExchangeRate:
                type: string
              walletTo:
                type: string
              Network:
                type: string
              networkIcon:
                type:
                  - string
                  - 'null'
              Status:
                type: string
              PaidOn:
                type:
                  - string
                  - 'null'
              ConfirmedOn:
                type:
                  - string
                  - 'null'
            required:
              - groupId
              - id
              - recipientName
              - tokenType
              - tokenIcon
              - Amount
              - TxnHash
              - sourceCurrency
              - ExchangeRate
              - walletTo
              - Network
              - networkIcon
              - Status
              - PaidOn
              - ConfirmedOn
      required:
        - reportData
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
